Subject: C-bit negotiation in draft-ietf-pwe3-control-protocol-10.txt

From: Kjeld Borch Egevang <[email-masked]>
Date: Tue, 05 Oct 2004 11:41:00 +0200

In "6.2. PW types for which the control word is NOT mandatory". Why is 
this complicated behaviour introduced? Why not do almost the same as in 
6.1, i.e:

       -iii. If the received Label Mapping message has c=1, and the PW is
             locally configured such that the use of the control word is
             not preferred or the control word is not supported, then
             send a Label Release message with the "Wrong c-bit" status
             code.

and receive behaviour:

       -iii. A Label Release with a "Wrong c-bit" status code and the 

             Label Mapping message that was sent has c=1. In this case,
             send a Label Mapping message that has c=0. The control word
             is not used.

/Kjeld